Bug 608838 - Update to udev-158-2.fc14.x86_64 breaks /etc/rc.d/init.d/udev-post
Update to udev-158-2.fc14.x86_64 breaks /etc/rc.d/init.d/udev-post
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
14
All Linux
low Severity high
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-28 14:30 EDT by Gene Snider
Modified: 2012-08-16 18:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:22:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gene Snider 2010-06-28 14:30:30 EDT
Description of problem:
After updating to udev-158-2.fc14.x86_64, this error appears in /var/log/boot.log:
/etc/rc5.d/S26udev-post: line 21: /etc/sysconfig/udev: No such file or directory

Version-Release number of selected component (if applicable):
udev-158-2.fc14.x86_64

How reproducible:
Easily.

Steps to Reproduce:
1. Update to udev-158-2.fc14.x86_64
2. Reboot
3.
  
Actual results:
Above error appears in /var/log/boot.log

Expected results:
No error message.

Additional info:
Perhaps this bug should have been filed against initscripts?  There is now a file named /etc/udev/udev.conf that has a creation that matches the udev update.  It appears that the script "udev-post" in /etc/rc.d/init.d wasn't updated to match the new configuration file location.

Thanks,
Gene
Comment 1 Gene Snider 2010-07-09 13:56:43 EDT
Should I refile this bug against init-scripts?  I haven't seen any activity on it, and it should be an easy fix.

Gene
Comment 2 Harald Hoyer 2010-07-12 04:55:22 EDT
easy fix for udev.. not related to init-scripts. I am working on udev-159/160, which will have this bug resolved..
Comment 3 Bug Zapper 2010-07-30 08:16:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Admin XMLRPC Client 2011-10-20 12:11:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-10-20 12:12:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-10-20 12:15:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2012-08-16 18:22:43 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.